Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.metaclass
Class RenderDynamicMethod

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicMethodInvocation
          org.codehaus.groovy.grails.web.metaclass.RenderDynamicMethod

All Implemented Interfaces:
  DynamicMethodInvocation

    public class RenderDynamicMethod

extends AbstractDynamicMethodInvocation

Allows rendering of text, views, and templates to the response

Since:
  0.2

  Created: Oct 27, 2005
Author:
  Graeme Rocher

Field Summary
`static String` | `ARGUMENT_BEAN`
`static String` | `ARGUMENT_BUILDER`
`static String` | `ARGUMENT_COLLECTION`
`static String` | `ARGUMENT_CONTENT_TYPE`
`static String` | `ARGUMENT_ENCODING`
`static String` | `ARGUMENT_MODEL`
`static String` | `ARGUMENT_TEMPLATE`
`static String` | `ARGUMENT_TEXT`
`static String` | `ARGUMENT_VAR`
`static String` | `ARGUMENT_VIEW`
`static Pattern` | `METHOD_PATTERN`
`static String` | `METHOD_SIGNATURE`

Constructor Summary
`RenderDynamicMethod()`

Method Summary
`Object` | `invoke(Object target, String methodName, Object[] arguments)` Invokes the actual method.

Methods inherited from class org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicMethodInvocation
`getPattern, isMethodMatch, setPattern`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### METHOD_SIGNATURE

    public static final String METHOD_SIGNATURE

See Also:
  Constant Field Values

### METHOD_PATTERN

    public static final Pattern METHOD_PATTERN

### ARGUMENT_TEXT

    public static final String ARGUMENT_TEXT

See Also:
  Constant Field Values

### ARGUMENT_CONTENT_TYPE

    public static final String ARGUMENT_CONTENT_TYPE

See Also:
  Constant Field Values

### ARGUMENT_ENCODING

    public static final String ARGUMENT_ENCODING

See Also:
  Constant Field Values

### ARGUMENT_VIEW

    public static final String ARGUMENT_VIEW

See Also:
  Constant Field Values

### ARGUMENT_MODEL

    public static final String ARGUMENT_MODEL

See Also:
  Constant Field Values

### ARGUMENT_TEMPLATE

    public static final String ARGUMENT_TEMPLATE

See Also:
  Constant Field Values

### ARGUMENT_BEAN

    public static final String ARGUMENT_BEAN

See Also:
  Constant Field Values

### ARGUMENT_COLLECTION

    public static final String ARGUMENT_COLLECTION

See Also:
  Constant Field Values

### ARGUMENT_BUILDER

    public static final String ARGUMENT_BUILDER

See Also:
  Constant Field Values

### ARGUMENT_VAR

    public static final String ARGUMENT_VAR

See Also:
  Constant Field Values

Constructor Detail

### RenderDynamicMethod

    public RenderDynamicMethod()

Method Detail

### invoke

    public Object invoke(Object target,
                         String methodName,
                         Object[] arguments)

  Description copied from interface: `DynamicMethodInvocation`

  Invokes the actual method. The target object and arguments are supplied.

  Specified by:
    `invoke` in interface `DynamicMethodInvocation`
  Specified by:
    `invoke` in class `AbstractDynamicMethodInvocation`
  Parameters:
    `target` - the target on which the method is invoked.
    `arguments` - the arguments passed in the method call @return the return value of the dynamic method invocation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2006 The Grails project